LibreOffice: XTabBar Interface Reference

LibreOffice LibreOffice 5.2 SDK API Reference

Public Member Functions | List of all members
XTabBar Interface Reference

UI control for the selection of views in a pane. More...

`import"XTabBar.idl";`

## Public Member Functions
void | addTabBarButtonAfter ([in] TabBarButton aButton, [in] TabBarButton aAnchor)
| Add a tab bar button to the right of another one. More...
void | appendTabBarButton ([in] TabBarButton aButton)
| Add a tab bar button at the right most position. More...
void | removeTabBarButton ([in] TabBarButton aButton)
| Remove a tab bar button. More...
boolean | hasTabBarButton ([in] TabBarButton aButton)
| Test whether the specified button exists in the tab bar. More...
sequence< TabBarButton > | getTabBarButtons ()
| Return a sequence of all the tab bar buttons. More...

## Detailed Description

UI control for the selection of views in a pane.

Every tab of a tab bar has, besides its localized title and help text, the URL of a view. A possible alternative would be to use a command URL instead of the view URL.

In the current Impress implementation a tab bar is only used for the center pane to switch between views in the center pane. Tab bars can make sense for other panes as well, i.e. for showing either the slide sorter or the outline view in the left pane.

Tab bar buttons are identified by their resource id. Note that because the resource anchors are all the same (the tab bar), it is the resource URL that really identifies a button. There can not be two buttons with the same resource id.

A better place for this interface (in an extended version) would be `com::sun::star::awt`

See also
  TabBarButton

## Member Function Documentation

## ◆ addTabBarButtonAfter()

void addTabBarButtonAfter | ( | [in] TabBarButton | aButton,
|  | [in] TabBarButton | aAnchor
| ) |  |

Add a tab bar button to the right of another one.

Parameters

  aButton | The new tab bar button that is to be inserted. If a button with the same resource id is already present than that is removed before the new button is inserted.
  aAnchor | The new button is inserted to the right of this button. When its ResourceId is empty then the new button is inserted at the left most position.

## ◆ appendTabBarButton()

void appendTabBarButton | ( | [in] TabBarButton | aButton | ) |

Add a tab bar button at the right most position.

Parameters

  aButton | The new tab bar button that is to be inserted.

## ◆ getTabBarButtons()

sequence<TabBarButton> getTabBarButtons | ( |  | ) |

Return a sequence of all the tab bar buttons.

Their order reflects the visible order in the tab bar.

This method can be used when addTabBarButtonAfter() does not provide enough control as to where to insert a new button.

## ◆ hasTabBarButton()

boolean hasTabBarButton | ( | [in] TabBarButton | aButton | ) |

Test whether the specified button exists in the tab bar.

Parameters

  aButton | The tab bar button whose existence is tested.

Returns
  Returns `TRUE` when the button exists.

## ◆ removeTabBarButton()

void removeTabBarButton | ( | [in] TabBarButton | aButton | ) |

Remove a tab bar button.

Parameters

  aButton | The tab bar button to remove. When there is no button with the specified resource id then this call is silently ignored.

The documentation for this interface was generated from the following file:

- com/sun/star/drawing/framework/XTabBar.idl